swagger: '2.0'
info:
  version: '1.4.0910'
  title: TProof Verification API
  description: An API for TProof Verification Service.
host: tproof.twcc.ai
schemes:
  - https
basePath: /api/v1
produces:
  - application/json

paths:
  /tproof/verify:
    post:
      summary: Verify a TProof Token
      tags:
        - TProof
      parameters:
        - in: header
          name: Content-Type
          required: true
          type: string
          default: application/json
        - in: body
          name: body
          required: true
          schema:
            type: object
            properties:
              apikey:
                type: string
              tokenId:
                type: string
              signature:
                type: string
              proof:
                type: string
      responses:
        200:
          description: Successfully verified
          schema:
            type: object
            properties:
              error:
                type: string
              data:
                type: object
                properties:
                  tokenId:
                    type: string
                  signature:
                    type: string
                  onwerVerify:
                    type: string
                  organization:
                    type: string
                  cn:
                    type: string
                  integrityVerify:
                    type: string
                  appTime:
                    type: string
                  blockChainTime:
                    type: string
                  tsaTime:
                    type: string
                  blockChainTxID:
                    type: string
                  certDescription:
                    type: string
        400:
          description: Bad Request
          schema:
            type: string
        401:
          description: Unauthorized
          schema:
            type: string
        403:
          description: Forbidden
          schema:
            type: string
        404:
          description: Not Found
          schema:
            type: object
            properties:
              statusCode:
                type: integer
              error:
                type: string
              message:
                type: string
        422:
          description: Unprocessable Entity
          schema:
            type: string
        429:
          description: Too Many Requests
          schema:
            type: string
        502:
          description: Bad Gateway
          schema:
            type: string
        503:
          description: Service Unavailable
          schema:
            type: string
